NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Facet.ConvertFacetBodyBuilder Class Reference

Represents a NXOpen.Facet.ConvertFacetBodyBuilder builder. More...

Inheritance diagram for NXOpen.Facet.ConvertFacetBodyBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  OriginalBodyOptions { Keep, Hide, Delete }
 These represent the options for handling the input facet bodies More...
 
enum  OutputTypes { ConvergentBody, NXFacetBody, JTFacetBody }
 These options represent the type of output facet body More...
 

Properties

unsafe bool CleanUp [get, set]
 Returns or sets an option for automatically repairing the converted PSM mesh More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
FacetedBodiesToConvert [get]
 Returns the input facet bodies to convert More...
 
unsafe double MinimumAngleFoldedFacets [get, set]
 Returns or sets the minimum angle between adjacent facets to define folded facets. More...
 
unsafe int MinimumFacetNumber [get, set]
 Returns or sets the minimum number of facets to create output body. More...
 
unsafe
NXOpen.Facet.ConvertFacetBodyBuilder.OriginalBodyOptions 
OriginalBodyOption [get, set]
 Returns or sets the option for handling the input facet bodies More...
 
unsafe
NXOpen.Facet.ConvertFacetBodyBuilder.OutputTypes 
OutputType [get, set]
 Returns or sets the output type of converted facet body More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.ConvertFacetBodyBuilder builder.

It converts the selected NX facet bodies to Convergent bodies or JT bodies, and converts JT facet bodies to Convergent bodies or NX facets bodies. The original inputs can be deleted, kept, or hidden.

To create a new instance of this class, use NXOpen.Facet.FacetModelingCollection.CreateConvertFacetBodyBuilder

Default values.

Property Value

MinimumAngleFoldedFacets

15.0

MinimumFacetNumber

100

OriginalBodyOption

Delete

OutputType

ConvergentBody

Created in NX10.0.0

Member Enumeration Documentation

These represent the options for handling the input facet bodies

Enumerator
Keep 

Keep original body

Hide 

Hide original body

Delete 

Delete original body

These options represent the type of output facet body

Enumerator
ConvergentBody 

Convert To Convergent bodies

NXFacetBody 

Convert to NX Facet bodies

JTFacetBody 

Convert To JT Facet bodies

Property Documentation

unsafe bool NXOpen.Facet.ConvertFacetBodyBuilder.CleanUp
getset

Returns or sets an option for automatically repairing the converted PSM mesh

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Facet.ConvertFacetBodyBuilder.FacetedBodiesToConvert
get

Returns the input facet bodies to convert

Created in NX10.0.0

License requirements: None.

unsafe double NXOpen.Facet.ConvertFacetBodyBuilder.MinimumAngleFoldedFacets
getset

Returns or sets the minimum angle between adjacent facets to define folded facets.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.Facet.ConvertFacetBodyBuilder.MinimumFacetNumber
getset

Returns or sets the minimum number of facets to create output body.

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.ConvertFacetBodyBuilder.OriginalBodyOptions NXOpen.Facet.ConvertFacetBodyBuilder.OriginalBodyOption
getset

Returns or sets the option for handling the input facet bodies

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Facet.ConvertFacetBodyBuilder.OutputTypes NXOpen.Facet.ConvertFacetBodyBuilder.OutputType
getset

Returns or sets the output type of converted facet body

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.